Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.ocsp
Class SingleResp

    java.lang.Object
      org.bouncycastle.ocsp.SingleResp

All Implemented Interfaces:
  java.security.cert.X509Extension

    public class SingleResp

extends java.lang.Object
implements java.security.cert.X509Extension

Constructor Summary
`SingleResp(SingleResponse resp)`

Method Summary
`CertificateID` `getCertID()`
`java.lang.Object` `getCertStatus()` Return the status object for the response - null indicates good.
`java.util.Set` `getCriticalExtensionOIDs()`
`byte[]` `getExtensionValue(java.lang.String oid)`
`java.util.Date` `getNextUpdate()` return the NextUpdate value - note: this is an optional field so may be returned as null.
`java.util.Set` `getNonCriticalExtensionOIDs()`
`X509Extensions` `getSingleExtensions()`
`java.util.Date` `getThisUpdate()`
`boolean` `hasUnsupportedCriticalExtension()` RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleResp

    public SingleResp(SingleResponse resp)

Method Detail

### getCertID

    public CertificateID getCertID()

### getCertStatus

    public java.lang.Object getCertStatus()

  Return the status object for the response - null indicates good.

  Returns:
    the status object for the response, null if it is good.

### getThisUpdate

    public java.util.Date getThisUpdate()

### getNextUpdate

    public java.util.Date getNextUpdate()

  return the NextUpdate value - note: this is an optional field so may be returned as null.

  Returns:
    nextUpdate, or null if not present.

### getSingleExtensions

    public X509Extensions getSingleExtensions()

### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

  RFC 2650 doesn't specify any critical extensions so we return true if any are encountered.

  Specified by:
    `hasUnsupportedCriticalExtension` in interface `java.security.cert.X509Extension`
  Returns:
    true if any critical extensions are present.

### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

  Specified by:
    `getCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

  Specified by:
    `getNonCriticalExtensionOIDs` in interface `java.security.cert.X509Extension`

### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

  Specified by:
    `getExtensionValue` in interface `java.security.cert.X509Extension`

Bouncy Castle Cryptography Library 1.45